Bug 1453005 - Review Request: switchboard-plug-pantheon-shell - Switchboard Pantheon Shell plug
Summary: Review Request: switchboard-plug-pantheon-shell - Switchboard Pantheon Shell ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PantheonDesktopPackageReviews
TreeView+ depends on / blocked
 
Reported: 2017-05-21 20:29 UTC by Fabio Valentini
Modified: 2017-11-11 17:12 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-07 16:36:51 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-05-21 20:29:35 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/switchboard-plug-pantheon-shell.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/switchboard-plug-pantheon-shell-0.2.5-1.20170519.git8f0b853.fc26.src.rpm

Description: The desktop plug is a section in Switchboard, the elementary System Settings app, where users can configure the wallpaper, dock, and hotcorners. In the future the desktop plug might also handle other desktop settings such as the panel, app launcher, and window manager.

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=19674378


PS: A git snapshot is packaged because the latest release has multiple issues with CMake 3.8 and/or vala 0.35+.

PPS: the "invalid-lc-messages-dir" rpmlint errors can be ignored, since many packages provide translation files for those language codes.

Comment 1 Neal Gompa 2017-05-21 21:05:50 UTC
Taking this review.

Comment 2 Neal Gompa 2017-06-03 13:17:43 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "GPL (v2 or later)", "GPL (v3 or later)",
     "Unknown or generated". 223 files have unknown license. Detailed
     output of licensecheck in /home/makerpm/1453005-switchboard-plug-
     pantheon-shell/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/rue/LC_MESSAGES,
     /usr/share/locale/ckb/LC_MESSAGES, /usr/share/locale/ckb,
     /usr/share/locale/rue
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/locale/ckb,
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/rue,
     /usr/share/locale/ckb/LC_MESSAGES
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     switchboard-plug-pantheon-shell-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: switchboard-plug-pantheon-shell-0.2.5-1.20170519.git8f0b853.fc27.x86_64.rpm
          switchboard-plug-pantheon-shell-debuginfo-0.2.5-1.20170519.git8f0b853.fc27.x86_64.rpm
          switchboard-plug-pantheon-shell-0.2.5-1.20170519.git8f0b853.fc27.src.rpm
switchboard-plug-pantheon-shell.x86_64: W: spelling-error %description -l en_US hotcorners -> hot corners, hot-corners, cornerstone
switchboard-plug-pantheon-shell.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
switchboard-plug-pantheon-shell.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
switchboard-plug-pantheon-shell.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/pantheon-desktop-plug.mo
switchboard-plug-pantheon-shell.x86_64: E: invalid-lc-messages-dir /usr/share/locale/btk/LC_MESSAGES/pantheon-desktop-plug.mo
switchboard-plug-pantheon-shell.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/pantheon-desktop-plug.mo
switchboard-plug-pantheon-shell.src: W: spelling-error %description -l en_US hotcorners -> hot corners, hot-corners, cornerstone
3 packages and 0 specfiles checked; 3 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: switchboard-plug-pantheon-shell-debuginfo-0.2.5-1.20170519.git8f0b853.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
switchboard-plug-pantheon-shell.x86_64: W: spelling-error %description -l en_US hotcorners -> hot corners, hot-corners, cornerstone
switchboard-plug-pantheon-shell.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
switchboard-plug-pantheon-shell.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
switchboard-plug-pantheon-shell.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/pantheon-desktop-plug.mo
switchboard-plug-pantheon-shell.x86_64: E: invalid-lc-messages-dir /usr/share/locale/btk/LC_MESSAGES/pantheon-desktop-plug.mo
switchboard-plug-pantheon-shell.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/pantheon-desktop-plug.mo
2 packages and 0 specfiles checked; 3 errors, 3 warnings.



Requires
--------
switchboard-plug-pantheon-shell-debuginfo (rpmlib, GLIBC filtered):

switchboard-plug-pantheon-shell (rpmlib, GLIBC filtered):
    contractor
    libatk-1.0.so.0()(64bit)
    libbamf3.so.2()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgnome-desktop-3.so.12()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgranite.so.3()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libplank.so.1()(64bit)
    libswitchboard-2.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
switchboard-plug-pantheon-shell-debuginfo:
    switchboard-plug-pantheon-shell-debuginfo
    switchboard-plug-pantheon-shell-debuginfo(x86-64)

switchboard-plug-pantheon-shell:
    switchboard-plug-pantheon-shell
    switchboard-plug-pantheon-shell(x86-64)



Unversioned so-files
--------------------
switchboard-plug-pantheon-shell: /usr/lib64/switchboard/personal/pantheon-desktop/libpantheon-desktop.so

Source checksums
----------------
https://github.com/elementary/switchboard-plug-pantheon-shell/archive/8f0b853422f874c887ed27f8c6266f50f80ca35b/switchboard-plug-pantheon-shell-8f0b853.tar.gz :
  CHECKSUM(SHA256) this package     : a3301455e463138476e3381cf2cf7c84aed6025195d61d2caa3d550fe0738009
  CHECKSUM(SHA256) upstream package : a3301455e463138476e3381cf2cf7c84aed6025195d61d2caa3d550fe0738009


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1453005 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Neal Gompa 2017-06-03 13:18:16 UTC
Package looks good.

PACKAGE APPROVED.

Comment 4 Gwyn Ciesla 2017-06-05 12:14:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/switchboard-plug-pantheon-shell

Comment 5 Fedora Update System 2017-06-05 12:47:10 UTC
switchboard-plug-pantheon-shell-0.2.5-1.20170519.git8f0b853.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-59997334b9

Comment 6 Fedora Update System 2017-06-05 12:50:40 UTC
switchboard-plug-pantheon-shell-0.2.5-1.20170519.git8f0b853.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-847747ba54

Comment 7 Fedora Update System 2017-06-05 19:06:12 UTC
switchboard-plug-pantheon-shell-0.2.5-1.20170519.git8f0b853.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-59997334b9

Comment 8 Fedora Update System 2017-06-06 05:05:08 UTC
switchboard-plug-pantheon-shell-0.2.5-1.20170519.git8f0b853.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-847747ba54

Comment 9 Fedora Update System 2017-06-07 16:36:51 UTC
switchboard-plug-pantheon-shell-0.2.5-1.20170519.git8f0b853.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-06-09 19:26:58 UTC
switchboard-plug-pantheon-shell-0.2.5-1.20170519.git8f0b853.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.